# Enum Class FastqQualityFormat

java.lang.Object
java.lang.Enum<FastqQualityFormat>
htsjdk.samtools.util.FastqQualityFormat

All Implemented Interfaces:
  `Serializable, Comparable<FastqQualityFormat>, Constable`

public enum FastqQualityFormat extends Enum<FastqQualityFormat>
Enumeration for FastQ quality score formats formats.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Illumina`
Recent Solexa/Illumina (pipeline 1.3+) style scores which encode PHRED qualities using an ASCII offset of 64
`Solexa`
Early Solexa/Illumina (pre pipeline 1.3) style scores which encode Solexa qualities using an ASCII offset of 64
`Standard`
Sanger style FASTQ files which encode PHRED qualities using an ASCII offset of 33

## Method Summary

Modifier and Type
Method
Description
`static FastqQualityFormat`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FastqQualityFormat[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Solexa

public static final FastqQualityFormat Solexa
Early Solexa/Illumina (pre pipeline 1.3) style scores which encode Solexa qualities using an ASCII offset of 64

### Illumina

public static final FastqQualityFormat Illumina
Recent Solexa/Illumina (pipeline 1.3+) style scores which encode PHRED qualities using an ASCII offset of 64

### Standard

public static final FastqQualityFormat Standard
Sanger style FASTQ files which encode PHRED qualities using an ASCII offset of 33

## Method Details

### values

public static FastqQualityFormat[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FastqQualityFormat valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null